Page MenuHomePhabricator

Wrong links on Special:MobileDiff to delete log when looking at revision deleted diff
Closed, ResolvedPublic

Description

When looking at the diff on the mobile version of a revision deleted version, the system message 'rev-deleted-no-diff' is shown, but it expected a correct {{FULLPAGENAME}}, but that is evaluated to Special:MobileDiff

https://de.m.wikipedia.org/wiki/Spezial:Mobiler_Unterschied/149825898

Event Timeline

Umherirrender updated the task description. (Show Details)
Umherirrender raised the priority of this task from to Needs Triage.
Umherirrender added a subscriber: Umherirrender.
Restricted Application added subscribers: JEumerus, StudiesWorld, Aklapper. · View Herald TranscriptJan 6 2016, 7:35 PM
Luke081515 triaged this task as High priority.Jan 7 2016, 4:12 PM
Luke081515 added a subscriber: Luke081515.

I think this is a very annoying issue for mobile users, because the can not find the log at this case easily.

Florian claimed this task.Jan 8 2016, 4:17 PM
Florian added a subscriber: Florian.

Oops....

Change 263063 had a related patch set uploaded (by Florianschmidtwelzow):
Fix false inclusion of FULLPAGENAME on Special:MobileDiff

https://gerrit.wikimedia.org/r/263063

Jdlrobson lowered the priority of this task from High to Normal.Jan 8 2016, 9:55 PM
Jdlrobson added a subscriber: Jdlrobson.

Change 263063 merged by jenkins-bot:
Fix false inclusion of FULLPAGENAME on Special:MobileDiff

https://gerrit.wikimedia.org/r/263063

Florian closed this task as Resolved.Jan 8 2016, 10:16 PM